// Common.cpp : implementation file
//

#include "stdafx.h"
#include "Common.h"

CString Common::DateTimeToString(
                        DATE dateTime, 
                        bool withTime/* =true*/,
                        bool withDate/* =true*/)
{
   COleDateTime oleDateTime(dateTime);
   CString dateTimeString;

   if (withDate)
   {
      dateTimeString = oleDateTime.Format(_T("%d/%m/%Y"));
   }

   if (withTime)
   {
      CString timeString = oleDateTime.Format(_T("%H:%M"));
      dateTimeString += withDate ? " " : "";
      dateTimeString += timeString;
   }

   return dateTimeString;
}

CString Common::VariantToString(
                        const ATL::CComVariant& value)
{
   CString strValue;
   switch (value.vt)
   {
   case VT_I4:
      strValue.Format(_T("%d"), value.intVal);
      break;
   case VT_UI4:
      strValue.Format(_T("%d"), value.uintVal);
      break;
   case VT_R8:
      strValue.Format(_T("%.4f"), value.dblVal);
      break;
   case VT_DATE:
      strValue = DateTimeToString(value.date);
      break;
   case VT_BSTR:
      strValue = value.bstrVal;
      break;
   case VT_BOOL:
      strValue = (value.boolVal == VARIANT_TRUE) ? "True" : "False";
      break;
   default:
      throw std::invalid_argument("Unknown variant type");
   }

   return strValue;
}
