/*
* =====================================================================
*  Filename: Helper.h
*    Author: Sevada Gyurjyan
*   Company: CQG, Inc.
* Copyright: (c)2008 by CQG,Inc. All rights reserved.
* =====================================================================
*/

#pragma once

class CHelper
{

private:

   /// \brief CHelper constructor.
   CHelper();

public:

   /// \brief Converts enum of connection status to appropriate string.
   /// \param connectionStatus - enum which will be converted
   /// \return String which describes customSessions request type
   static CString ConnectionStatusToString(
                     eConnectionStatus connectionStatus);

   /// \brief Converts enum of symbol session type to appropriate string.
   /// \param symbolSessionsType - enum which will be converted
   /// \return String which describes symbol session type
   static CString SymbolSessionTypeToString(
                     eSymbolSessionType symbolSessionsType);


public:

   /// \brief Not available string.
   static const CString m_N_A;
};
